com.smartgwt.client.types

## Enum CharacterCasing

- java.lang.Object
- - java.lang.Enum<CharacterCasing>
  - - com.smartgwt.client.types.CharacterCasing

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<CharacterCasing>

      public enum CharacterCasing
      extends java.lang.Enum<CharacterCasing>
      implements ValueEnum

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEFAULT` No character translation
    `LOWER` Map characters to lowercase
    `UPPER` Map characters to uppercase

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static CharacterCasing` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CharacterCasing[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEFAULT

          public static final CharacterCasing DEFAULT

      No character translation

    - #### UPPER

          public static final CharacterCasing UPPER

      Map characters to uppercase

    - #### LOWER

          public static final CharacterCasing LOWER

      Map characters to lowercase

  - ### Method Detail

    - #### values

          public static CharacterCasing[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CharacterCasing c : CharacterCasing.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CharacterCasing valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`